MKTEMP(1)

NAVN
mktemp - create a temporary file or directory

OVERSIKT
mktemp [VALG]... [MAL]

BESKRIVELSE

Lag en midlertidig, trygg fil eller mappe, og skriv ut navnet på den. MAL må inneholde minst tre «X»-er på rad i siste komponent. Hvis MAL ikke velges, brukes «tmp.XXXXXXXXXX» som implisitt valg av --tmpdir. Filer lages med u+rw, og mapper med u+rwx, fratrukket umask-restriksjoner.

-d, --directory
    Lag mappe i stedet for fil.

-u, --dry-run
    Ikke lag noe, men bare skriv ut et navn (usikkert).

-q, --quiet
    Ikke gi diagnotiske meldinger om feil ved oppretting av filer eller mapper.

--suffix=SUFF
    Legg til SUFF i MAL. SUFF kan ikke inneholde skråstrek(er). Dette valget brukes implisitt hvis MAL ikke slutter på X.

-p DIR, --tmpdir[=MAPPE]
    Tolk MAL innenfor MAPPE. Hvis MAPPE ikke er angitt, brukes $TMPDIR hvis den har en verdi. Ellers brukes /tmp. MAL kan ikke være et absolutt navn med dette valget. MAL kan inneholde skråstrek her, i motsetning til -t, men mktemp lager bare den endelige komponenten.

-t  Tolk MAL som en enkeltfilkomponent, innenfor en mappe. Her brukes $TMPDIR hvis den har en verdi, evt. mappa som er gitt via -p. Ellers brukes /tmp [foreldet funksjon].

--help
    Vis denne hjelpeteksten og avslutt.

--version
    Vis versjonsinformasjon og avslutt.

OPPHAVSMANN
Skrevet av Jim Meyering og Eric Blake.

RAPPORTERING AV FEIL
Få hjelp til bruk av GNU coreutils på nett: <https://www.gnu.org/software/coreutils/>
Rapporter oversettelsesfeil til <https://translationproject.org/team/nb.html>

OPPHAVSRETT
Copyright © 2022 Free Software Foundation, Inc. Lisens GPLv3+: GNU GPL versjon 3 eller senere <https://gnu.org/licenses/gpl.html>.
Dette er fri programvare. Du kan endre og dele den videre. Det stilles INGEN GARANTI, i den grad dette tillates av gjeldende lovverk.

SE OGSÅ
mkstemp(3), mkdtemp(3), mktemp(3)

Fullstendig dokumentasjon: <https://www.gnu.org/software/coreutils/mktemp>
eller lokalt: info '(coreutils) mktemp invocation'

OVERSETTELSE
Den norske oversettelsen av denne manualsiden er laget av

Denne oversettelsen er gratis dokumentasjon; se GNU General Public License versjon 3 (https://www.gnu.org/licenses/gpl-3.0.html) eller senere for opphavsrettsvilkår. Vi påtar oss INGEN ANSVAR.

Hvis du finner feil i oversettelsen av denne håndboksiden, vennligst send en e-post til <TODO>.